Bug 963185 - preprocessor error: Unterminated #if
preprocessor error: Unterminated #if
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: FlightGear (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
:
: 963180 963181 963183 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 07:00 EDT by Matthias Runge
Modified: 2015-01-29 07:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-29 07:16:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-05-15 07:00:22 EDT
When starting fgfs on f19:

[mrunge@gauss ~]$ fgfs
KMA20 audio panel initialized
KI266 dme indicator #0 initialized
loading scenario 'nimitz_demo'
PNG lib warning : Interlace handling should be turned on when using png_read_image
Electrical system initialized
FRAGMENT glCompileShader "/usr/share/flightgear/Shaders/urban.frag" FAILED
FRAGMENT Shader "/usr/share/flightgear/Shaders/urban.frag" infolog:
0:95(22): preprocessor error: syntax error, unexpected IDENTIFIER, expecting NEWLINE
0:92(1): preprocessor error: Unterminated #if


glLinkProgram "" FAILED
Program "" infolog:
error: linking with uncompiled shader
Stack dump:
0.	Running pass 'Function Pass Manager' on module 'tgsi'.
1.	Running pass 'Greedy Register Allocator' on function '@main'
Segmentation fault (core dumped)
Comment 1 Matthias Runge 2013-05-16 03:22:02 EDT
*** Bug 963183 has been marked as a duplicate of this bug. ***
Comment 2 Matthias Runge 2013-05-17 04:43:54 EDT
*** Bug 963180 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Runge 2013-05-17 04:44:59 EDT
*** Bug 963181 has been marked as a duplicate of this bug. ***
Comment 4 Fabrice Bellet 2013-05-19 10:22:47 EDT
Interesting, because the same error shows up in my case, but doesn't generate a segfault. Does the suggested patch to urban.frag, around line 95, from this message helps :

http://sourceforge.net/mailarchive/message.php?msg_id=30240528
Comment 5 Matthias Runge 2013-06-27 04:43:15 EDT
Ah, sorry for lagging this.

No, adding the braces does not help at all.
Comment 6 Matthias Runge 2013-06-27 04:49:28 EDT
I changed that to:
 #ifdef USE_QDM_ASCEND_INTERVAL
                if(frac(level*0.5) > EPSILON)
                  level++;
                #elif defined(USE_QDM_ASCEND_CONST)
                 level++;
                #endif


[mrunge@gauss ~]$ fgfs
KMA20 audio panel initialized
KI266 dme indicator #0 initialized
loading scenario 'nimitz_demo'
PNG lib warning : Interlace handling should be turned on when using png_read_image
Electrical system initialized
PNG lib warning : Interlace handling should be turned on when using png_read_image
Stack dump:
0.	Running pass 'Function Pass Manager' on module 'tgsi'.
1.	Running pass 'Greedy Register Allocator' on function '@main'
Segmentation fault (core dumped)

If it's dependent of graphics, I'm using an AMD card, plain fedora drivers, no options set at all.
Comment 7 Fabrice Bellet 2013-07-16 01:37:37 EDT
I cannot reproduce the segmentation fault on my ATI hardware (Gallium 0.4 on ATI RV530). The stack dump seems to come from the llvm compiler, so this may be driver-specific. Before reassigning to the Mesa folks, maybe you could try to play with environment variables related to LLVM ? (http://www.mesa3d.org/envvars.html). The output of glxinfo would certainly be useful too.
Comment 8 Fedora End Of Life 2015-01-09 13:07:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.